//  Author : Christian Arild Str Andersen
//  			De Data Pty Ltd
//  Created : Mid 2003
//
// String Library (Yes we need another bloddy String class)
// used on the Win CE platform
// It has many of the same interfaces as the STL String class
// which is not part of the SDK for WCE
//
// So Rolled my own
// AsciiString.h: interface for the AsciiString class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ASCIISTRING_H__7D30AB38_B3C5_4AF0_91EA_ED9FBA5F17B1__INCLUDED_)
#define AFX_ASCIISTRING_H__7D30AB38_B3C5_4AF0_91EA_ED9FBA5F17B1__INCLUDED_


#include "StdAfx.h"
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


CString BFGetStrDate(CTime *pDate);

class AsciiString  
{
public:
	int find(LPCSTR szFind);
	AsciiString substr( int pos, int len = -1 );
	
	AsciiString(LPCWSTR lpwszClone);
	AsciiString(LPWSTR lpwszClone);
	AsciiString();
	virtual ~AsciiString();
	AsciiString(CHAR aChar);
	AsciiString(LPCSTR szClone);
	AsciiString(LPSTR szClone);
	AsciiString(AsciiString & szClone);
	
	AsciiString   operator =(AsciiString & szClone);
	AsciiString   operator =(LPCSTR szClone);
	AsciiString   operator =(LPSTR szClone);
	AsciiString   operator =(CHAR aChar);
	AsciiString   operator =(BYTE aChar);
	AsciiString   operator =(WCHAR aChar);
	AsciiString   operator =(LPWSTR lpwszClone);
	AsciiString   operator =(LPCWSTR lpwszClone);
	AsciiString   operator +(AsciiString& AddStr);
	AsciiString   operator +(LPSTR AddStr);
	AsciiString   operator +(LPCSTR AddStr);
	AsciiString   operator +(LPWSTR AddStr);
	AsciiString   operator +(LPCWSTR AddStr);
	AsciiString   operator +=(AsciiString& AddStr);
	AsciiString   operator +=(LPSTR AddStr);
	AsciiString   operator +=(LPCSTR AddStr);
	AsciiString   operator +=(LPWSTR AddStr);
	AsciiString   operator +=(LPCWSTR AddStr);
	AsciiString   operator +=(CHAR aChar);
	AsciiString   operator +=(BYTE aChar);
	AsciiString   operator +=(WCHAR aChar);
	CHAR	&	  operator [](ULONG nPos);
	BOOL		  operator ==(AsciiString &szComp);	
	BOOL		  operator ==(LPCSTR szComp);	
	void empty();
	LPCSTR c_str() const;
	ULONG length() const;
	
private:
	VOID ReleaseData();
	// WideCharToMultiByte(CP_ACP,NULL,lpszSource,wcslen(lpszSource),*lppszTarget,wcslen(lpszSource),NULL,NULL);
	LPSTR lpszData;

};

#endif // !defined(AFX_ASCIISTRING_H__7D30AB38_B3C5_4AF0_91EA_ED9FBA5F17B1__INCLUDED_)
